package com.jasamedika.medifirst2000.dao.custom;

import java.util.List;
import java.util.Map;

public interface ReportPelayananDaoCustom {
	public Map<String, Object> getReportGenerik(String className, String fields[], String filters[]);
	public List<Map<String, Object>> getPelayananPasien(String startDate, String endDate,Integer idproduk,List<Integer> idDepartemen,Integer idRuangan,Integer jenisPasien);
	public List<Map<String, Object>> getPelayananPasienByDokter(String startDate, String endDate,Integer idproduk,List<Integer> idDepartemen,Integer idRuangan,Integer jenisPasien, Integer Dokter);
	public List<Map<String, Object>> getPenerimaanKasirByDokter(String startDate, String endDate,Integer idproduk,Integer idDepartemen,Integer idRuangan,Integer jenisPasien, Integer Dokter, String noRec);
	public List<String> getPasienDaftar(String startDate, String endDate,Integer idproduk,Integer idDepartemen,Integer idRuangan,Integer jenisPasien, Integer Dokter);
}
